Name: phpldapadmin
Summary: Web-based tool for managing LDAP servers
Version: 1.1.0.5
Release: 1%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://phpldapadmin.sourceforge.net
Source: http://dl.sourceforge.net/sourceforge/phpldapadmin/phpldapadmin-%{version}.tar.gz
Patch0: phpldapadmin-1.0.1-config.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: httpd, php >= 5.0.6, php-ldap


%description
PhpLDAPadmin is a web-based LDAP client.
It provides easy, anywhere-accessible, multi-language administration
for your LDAP server. Its hierarchical tree-viewer and advanced search
functionality make it intuitive to browse and administer your LDAP directory.

Since it is a web application, this LDAP browser works on many platforms,
making your LDAP server easily manageable from any location.

PhpLDAPadmin is the perfect LDAP browser for the LDAP professional
and novice alike. Its user base consists mostly of LDAP administration
professionals.

Edit %{_sysconfdir}/%{name}/config.php to change default (localhost) LDAP server
location and other things. Edit %{_sysconfdir}/httpd/conf.d/%{name}.conf to allow
access by remote web-clients.


%prep
%setup -q -n %{name}-%{version}

cp config/config.php.example config/config.php

%patch0 -p1


%build

find . \( -name "*.orig" -o -name "*~" -o -name .cvsignore \) -print0 | \
								xargs -0 rm -f
find . -type f -print0 | xargs -0 chmod -x


%install
rm -rf $RPM_BUILD_ROOT

install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a * $RPM_BUILD_ROOT%{_datadir}/%{name}


pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf doc/ INSTALL LICENSE
rm -rf tools/
find locale -name "*.po" -print0 | xargs -0 rm -f
popd


install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/config/* \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}/config

UPS=$(echo %{_datadir}/%{name} | sed -e 's,^/,,' -e 's,[^/]*,..,g')
ln -s $UPS%{_sysconfdir}/%{name} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/config

cat <<EOF >%{name}.conf
#
#  %{summary}
#

Alias /%{name} %{_datadir}/%{name}/htdocs
Alias /ldapadmin %{_datadir}/%{name}/htdocs

<Directory %{_datadir}/%{name}/htdocs>
  Order Deny,Allow
  Deny from all
  Allow from 127.0.0.1
</Directory>

EOF

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ]; then
    set @@@ `dd bs=128 count=1 </dev/urandom 2>/dev/null | md5sum`
    sed -i "/session\['blowfish'\] = null;/ {
	s/^[^\$]*\\\$/\$/
	s/null;/'$2';  # Autogenerated for `uname -n`/
    }"  %{_sysconfdir}/%{name}/config.php
fi


%files
%defattr(-,root,root,-)
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.php
%{_sysconfdir}/%{name}/*.example
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_datadir}/%{name}
%doc INSTALL LICENSE


%changelog
* Wed Feb 13 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.1.0.5-1
- upgrade to 1.1.0.5

* Fri Aug 17 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- Change License tag to GPLv2+
  (Note: most files do not specify any license information at all,
  which could lead just to "GPL+", but some lib/ files specify
  "GPLv2 or any later" explicitly, hence GPLv2+ wins).

* Tue Sep 19 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.0.1-1
- upgrade to 1.0.1
- drop namingcontexts patch, no more needed for php >= 5.0.6

* Fri Sep  1 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.3-2
- rebuild for FC6

* Mon May 15 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.3-1
- update to 0.9.8.3

* Tue Mar 14 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.2-1
- update to 0.9.8.2

* Thu Mar  2 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.1-1
- upgrade to 0.9.8.1
- remove unneeded tools dir *.po files in locale dir

* Fri Nov 18 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7.2-2
- update upstream's tarball (was changed without version increment)
- don't treat VERSION as doc file (#173513)

* Tue Nov 15 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7.2-1
- update to 0.9.7.2

* Tue Nov  1 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7.1-1
- upgrade to 0.9.7.1
- adapt patches and spec to new upstream layout.
- don't strip debug anymore -- all seems to work fast enough now.

* Tue Sep 27 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-2
- patch cleanups.
- accepted for Fedora Extras devel
  (review by Aurelien Bompard <gauret@free.fr>)

* Mon Sep 26 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-1
- upgrade to final 0.9.7
- strip debug stuff completely. It gives essential speedup of work.
- initial install allow connects from localhost only (security reasons).

* Tue Sep 20 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-0.3.rc3
- upgrade to 0.9.7-rc3
- add post script to generate blowfish secret on initial installations.

* Thu Sep 15 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-0.2.rc2
- upgrade to 0.9.7-rc2, cvs snapshot no more needed.

* Tue Sep 13 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-0.1.20050912
- initial release. CVS snapshot is one week later than 0.9.7-rc1 release.
- add namingcontexts patch and config patch

